Next Previous Contents

## 3.14 POKE

> Function

>   Write a byte to memory.

> Header

>   `peekpoke.h`

> Declaration

>   `void POKE (unsigned addr, unsigned char val);`

> Description

>   The function writes the value `val` to the absolute memory address given by `addr`.

> Limits

>   - The function is actually a macro.
>   - This function depends highly on the platform and environment.
>   - Careless use will cause the program to act strange or may crash the machine.
> Availability

>   cc65

> See also

>   PEEK, POKEW

> Example

>   None.

Next Previous Contents